Package twisted :: Package manhole :: Package ui :: Module gtk2manhole :: Class ManholeWindow

[show private | hide private]
[frames | no frames]

## Class ManholeWindow

    Versioned --+
                |
    Componentized --+
                    |
      GladeKeeper --+
                    |
                   ManholeWindow

Method Summary
| `__init__(self)`
| ``__getstate__`(self, dict)` Get state, adding a version number to it on its way out. (inherited from `Versioned`)
| `__setstate__(self, state)` (inherited from `Versioned`)
| ``addAdapter`(self, adapterClass, ignoreClass, registry)` Utility method that calls addComponent. (inherited from `Componentized`)
| ``addComponent`(self, component, ignoreClass, registry)` Add a component to me, for all appropriate interfaces. (inherited from `Componentized`)
| ``getComponent`(self, interface, registry, default)` Create or retrieve an adapter for the given interface. (inherited from `Componentized`)
| `locateAdapterClass(self, klass, interfaceClass, default, registry)` (inherited from `Componentized`)
| `login(self)`
| `on_reload_self_activate(self, *unused)`
| ``removeComponent`(self, component)` Remove the given component from me entirely, for all interfaces which it has been registered. (inherited from `Componentized`)
| `setAdapter(self, interfaceClass, adapterClass)` (inherited from `Componentized`)
| `setComponent(self, interfaceClass, component)` (inherited from `Componentized`)
| `setDefaults(self, defaults)`
| ``unsetComponent`(self, interfaceClass)` Remove my component specified by the given interface class. (inherited from `Componentized`)
| `upgradeToVersion1(self)` (inherited from `Componentized`)
| ``versionUpgrade`(self)` (internal) Do a version upgrade. (inherited from `Versioned`)

Class Variable Summary
`str` | `gladefile`

Class Variable Details

### gladefile

  Type:
    `str`
  Value:

        '/home/radix/rel/Twisted-1.0.5/twisted/manhole/ui/gtk2manhole.glade'

Generated by Epydoc 1.1 on Thu May 8 13:16:33 2003 | http://epydoc.sf.net